%define	name	bridge-utils
%define	version	1.4
%define	rel     3
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
License:	GPL
URL:		http://linux-net.osdl.org/index.php/Bridge
Source0:	http://downloads.sourceforge.net/bridge/%{name}-%{version}.tar.bz2
Source1:	README.urpmi
BuildRequires:	kernel-headers
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%package	devel
Summary:	Libraries for the linux ethernet bridge programs
Group:		Development/C

%description	devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%prep
%setup -q

%build
autoconf
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -m 644 %{SOURCE1} README.update.urpmi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README README.update.urpmi doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%{_mandir}/man*/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_mandir}/man*/*
%{_libdir}/*.a
%{_includedir}/*.h


%changelog
* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdv2009.1
+ Revision: 337173
- keep bash completion in its own package

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.org> 1.4-2mdv2009.1
+ Revision: 316479
- rebuild

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdv2008.1
+ Revision: 158614
- update to new version 1.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-4mdv2008.1
+ Revision: 109462
- use correct configure macro
- drop polish translations from spec
- spec cleanupp
- bash completion


* Thu Jan 25 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2007.0
+ Revision: 113465

  + Michael Scherer <misc@mandriva.org>
    - use the new url of wiki

* Sun Jan 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.1
+ Revision: 111317
- really show update notes

* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.1
+ Revision: 104667
- update URL
- 1.2
- add update notes
- remove the bridge service (part of #23814)
- Import bridge-utils

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 1.1-1mdk
- New release 1.1

* Thu Dec 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-2mdk
- rebuild for new libsysfs

* Fri Jun 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.6-1mdk
- 1.0.6
- drop P1
- fix requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- drop bidi (removed upstream)
- fix summary-ended-with-dot
- cosmetics

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 0.9.7-2mdk
- add initscript and sysconf file

* Wed May 26 2004 Florin <florin@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add the bidi file from the misc directory

